	SUBROUTINE DESMOD(MODNAM)
C
C	   Routine to de-establish the current routine Module name
C	   for use in debugging and error reporting.
C
C	   By: Mark Holomany, JCPDS     Date: 29-Nov-1983
C
C	   Revised:
C	   15-Jul-87 MAH Converted to microsoft fortran
C
C===================================================================

	IMPLICIT INTEGER (A-Z)
	CHARACTER*(*) MODNAM
C==>	INCLUDE 'PROCCOM.CMN'

C==>	DO 100 N=NMODS,1,-1
C==>	IF(MODULE(N) .EQ. MODNAM) THEN
C==>	   NMODS = N - 1
C==>	   RETURN
C==>	ENDIF
C==>100	CONTINUE
C==>
C==>	CALL SHERR(2000)

	RETURN
	END
